%define _rpmmacrosdir %_sysconfdir/rpm/macros.d

Name: rpm-build-compat
Version: 0.2
Release: alt0.M24.1

Summary: ALT Linux compatibility in rpm build for backport packages

License: GPL
Group: Development/Other
Url: http://wiki.sisyphus.ru/devel/rpmbuildcompact

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://etersoft.ru/download/%name-%version.tar.bz2

Requires: %_rpmmacrosdir

BuildArchitectures: noarch

# TODO: add version for other distros
# FIXME: do not work :(
%if_with build_M30
Requires: rpm-build >= 4.0.4-alt47
%endif



%description
This package contains ALT Linux compatibility layer for
backporting packages.
Use it in buildrequires when backporting packages.
rpmbph from etersoft-build-utils adds it automatically.

%prep
%setup -q
find -type d -name CVS | xargs rm -rf

%install
DESTFILE=compat

install -D -m644 rpm/macros.compat %buildroot/%_rpmmacrosdir/$DESTFILE
mkdir -p %buildroot%_bindir

%files
%doc AUTHORS TODO NEWS
%_rpmmacrosdir/*

%changelog
* Sun Feb 05 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt0.M24.1
- backport to ALT Linux M24

* Sun Feb 05 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt1
- add rpmcflags macro

* Sun Jan 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt1
- initial build for ALT Linux Sisyphus
